Bug 199229 - createrepo non-helpful warnings
createrepo non-helpful warnings
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 02:13 EDT by Ralf Corsepius
Modified: 2014-01-21 17:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 08:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2006-07-18 02:13:13 EDT
Description of problem:
The warnings/error messages createrepo issues are of very little use.

Version-Release number of selected component (if applicable):
0.4.4-0.1

How reproducible:
Always.

Steps to Reproduce:
1. mkdir -p /var/cache/createrepo/fedora-5-i386/local
2. mkdir -p fedora/5/extra/i386
3. createrepo -c /var/cache/createrepo/fedora-5-i386/local \
  fedora/5/extra/i386
  
Actual results:
# createrepo -c /var/cache/createrepo/fedora-5-i386/local \
  fedora/5/extra/i386
Directory must exist

No indication on what createrepo is referring to. Such kind of error messages
are not useful.

Expected results:
createrepo to tell which directory it is complaining about.
Comment 1 Seth Vidal 2006-07-20 13:51:09 EDT
Most of these warnings have been improved in cvs. Should be fixed in the next
release.
Comment 2 Seth Vidal 2007-07-30 08:52:34 EDT
and the above is true, so I'm closing this as upstream.

re-open if you think the current one is a problem.

thanks

Note You need to log in before you can comment on or make changes to this bug.